/* Name: alignalg.h                                                          **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Kategorie AlignmentAlgorithms, die der Klasse   **
**           NLet Funktionen zum Alignieren von Sequenzen bereitstellt       **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 24.08.1995                                                      **
** Zuletzt bearbeitet: 21.10.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef ALIGNALG_H
#define ALIGNALG_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

#include "nlet.h"

#include "align.h"

/* Konstanten- und Typdefinitionen                                           */

#define MAXALIGNGAPLENGTH 127
#define ALIGNALGNEIGHBOURHOOD 3

/* Kategorie: AlignmentAlgorithms                                            */

@interface NLet (AlignmentAlgorithms)

+ (Alignment*)needlemanWunschOf:firstNLet0 from:(long)firstFrom0 to:(long)firstTo0 and:secondNLet0 from:(long)secondFrom0 to:(long)secondTo0 withMatrix:matrix0 firstGapPenalty:(int)firstGap0 restGapPenalty:(int)restGap0;
+ (Alignment*)neighbourhoodNeedlemanWunschOf:firstNLet0 from:(long)firstFrom0 to:(long)firstTo0 and:secondNLet0 from:(long)secondFrom0 to:(long)secondTo0 withMatrix:matrix0 firstGapPenalty:(int)firstGap0 restGapPenalty:(int)restGap0;

@end

#endif
