/* Name: constant.h                                                          **
**                                                                           **
**                                                                           **
** Funktion: Definition von allgemeinen Konstanten                           **
**                                                                           **
** Aufruf: -- (Einbindung in C-/C++-/ObjC-Dateien ueber #import bzw.         **
**            #include)                                                      **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 16.08.1995                                                      **
** Zuletzt bearbeitet: 17.10.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef CONSTANT_H
#define CONSTANT_H

/* Konstantendefinitionen                                                    */

/* Programmargumentanzahl                                                    */
#define PROGNAMEONLY 1
/* Zusaetzlich im jeweiligen Programm hinzufuegen:                           */
/* #define PROGPLUSARGUMENTS appropriateValue                                */

/* Rueckgabewerte fuer Funktionen                                            */
#define RETURNEXIT (int)0
#define RETURNERROR (int)-1

/* Werte fuer den Typ BOOLEAN                                                */
#define TRUE (char)1
#define FALSE (char)0

/* Initialisierungswerte fuer neue Variablen                                 */
#define DEFOBJECT 0
#define DEFCHAR '\0'
#define DEFINT (int)0
#define DEFLONG (long)0
#define DEFSHORT (short)0
#define DEFFLOAT (float)0.0
#define DEFDOUBLE (double)0.0
#define DEFSTRING ""
#define DEFPOINTER 0

/* Zeichenkettenlaengen                                                      */
#define MAXSTRINGLEN 1048575
#define MINSTRINGLEN 15
#define DEFSTRINGLEN 255

/* Informationen zum ASCII-Zeichensatz                                       */
#define SIZEASCII 256
#define NUMLETTER 26
#define ASCII0 48
#define ASCIIA 65
#define ASCIIa 97

/* Informationen zum Textmodus                                               */
#define TXTMODECHARPERLINE 80

#endif
