/* Name: error.h                                                             **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse ErrorHandler, die der Fehlerbehandlung   **
**           dient; von dieser Klasse gibt es keine Instanzen                **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 16.08.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef ERROR_H
#define ERROR_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstantendefinitionen                                                    */

#define MAXERRORNUM 16383

#define ERRNOERROR 0
#define ERRMEMORY 101
#define ERRMEMNOTENOUGH 102
#define ERRFILEOPEN 201
#define ERRFILENOTPRES 202
#define ERRFILECLOSE 203
#define ERRFILEPPOS 211
#define ERRFILEPSETPOS 212
#define ERRFILEEOF 213
#define ERRFILEFORMATUNK 221
#define ERRFILEFORMATSUPP 222
#define ERRPIPEOPEN 301
#define ERRPIPECLOSE 302
#define ERROBJNOTPRES 1101
#define ERROBJCREATE 1102
#define ERROBJDELETE 1103
#define ERROBJINIT 1104
#define ERROBJSETINSTVAR 1111
#define ERROBJGETINSTVAR 1112
#define ERROBJSETCLASSVAR 1113
#define ERROBJGETCLASSVAR 1114
#define ERRMETHODNOTPRES 1201
#define ERRMETHODRESP 1202
#define ERRMETHODFAIL 1203
#define ERRMETHODWRONGOBJ 1204
#define ERRDBCONNECTNOTPRES 2101
#define ERRDBCONNECTEXIST 2102
#define ERRDBNOFETCH 2201
#define ERROTHER MAXERRORNUM

/* Deklarierte Klassen                                                       */

@class ErrorHandler;

/* Klasse: ErrorHandler                                                      */

@interface ErrorHandler
{
}

+ (int)error:(int)errorNum0;
+ (int)errorMessage:(char*)errorMsg0;

@end

#endif
