/* Name: nnsat.m                                                             **
**                                                                           **
**                                                                           **
** Funktion: Hauptprogramm des Programmpakets NNSAT                          **
**                                                                           **
** Aufruf: nnsat                                                             **
**                                                                           **
** Probleme: bei Verwendung von Datenbanksystemen ist auf das korrekte       **
**           Setzen der Umgebungsvariablen zu achten                         **
**                                                                           **
** Erstellt: 09.05.1996                                                      **
** Zuletzt bearbeitet: 17.07.1998                                            **
**                                                                           **
** Aktuelle Version: 1.0                                                     */

/* ------------------------------------------------------------------------- */


/* Include-Dateien                                                           */

#include "textif.h"
#include "textexec.h"
#include "constant.h"
#include "error.h"

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <sys/types.h>
#include <unistd.h>

#define CURRENTVERSION "1.0"
#define DEFDBSERVER "DUMMY_DB_SERVER"

int main()
{
  TextInterface *interface; 
  TextExecute *executor;
  char useDB;
  char *title;
  char *user, *passwd;
  char *logFileName;
  FILE *logFile;
  int menuSelector;
  char *action;
  title=(char*)malloc(DEFSTRINGLEN*sizeof(char));
  user=(char*)malloc(MINSTRINGLEN*sizeof(char));
  passwd=(char*)malloc(MINSTRINGLEN*sizeof(char));
  logFileName=(char*)malloc(DEFSTRINGLEN*sizeof(char));
  action=(char*)malloc(MINSTRINGLEN*sizeof(char));
  sprintf(logFileName,"nnsat%d.log",getpid());
  logFile=fopen(logFileName,"w");
  strcpy(title,"NNSAT - No Name Sequence Analysis Tools (Version ");
  strcat(title,CURRENTVERSION);
  strcat(title,")");
  outputTitle(title);
  /* useDB=readCharWCommandDefault(stdin,"Use BSI Database (y/n)?",'y'); */
  /* if(useDB=='y' || useDB=='Y')
    {
      executor=[TextExecute new:DEFDBSERVER logFile:logFile];
      [executor dbConnect];
    }
  else */
  executor=[TextExecute new:"" logFile:logFile];
  interface=[TextInterface new];
  menuSelector=MENUMAIN;
  do
    {
      menuSelector=[interface menuSelector:menuSelector];
      strcpy(action,[interface getAction]);
      [executor executeByShorthand:action];
    }
  while(strncmp(action,SHORTEXIT,DEFSHORTHANDLEN));
  if([executor getDBUsage])
    [executor dbDisconnect];
  outputExitMessage("Good bye!");
  free(title);
  free(user);
  free(passwd);
  free(logFileName);
  free(action);
  fclose(logFile);
  return RETURNEXIT;
}
