/* Name: dna.m                                                               **
**                                                                           **
**                                                                           **
** Funktion: Implementation der Klasse DNA, die beschreibende Information    **
**           ueber DNAs enthaelt (Ableitung der Klasse LinearPolymer)        **
**                                                                           **
** Aufruf: -- (Linken mit anderen .o-Dateien moeglich)                       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 29.07.1995                                                      **
** Zuletzt bearbeitet: 03.05.1995                                            */

/* ------------------------------------------------------------------------- */


/* Include-Dateien                                                           */

#include "dna.h"

#include "dnanlet.h"
#include "error.h"
#include "constant.h"

#include <stdlib.h>

/* Klasse: DNA                                                               */

@implementation DNA

- init:nlet0 source:(char*)source0 localID:(char*)localID0 primAccession:(char*)primAccession0
{
  self=[super init];
  source=(char*)realloc(source,strlen(source0)*sizeof(char));
  localID=(char*)realloc(localID,strlen(localID0)*sizeof(char));
  primAccession=(char*)realloc(primAccession,strlen(primAccession0)*sizeof(char));
  description=(char*)realloc(description,strlen(DEFLPOLYMERDESCRIPTION)*sizeof(char));
  if([nlet0 isKindOf:[DNANLet class]])
    nlet=[DNANLet new:[nlet0 getSequence]];
  else
    nlet=[DNANLet new:DEFNLETSEQUENCE];
  if(!source || !localID || !primAccession || !description)
    [ErrorHandler error:ERRMEMNOTENOUGH];
  else
    {
      strcpy(source,source0);
      strcpy(localID,localID0);
      strcpy(primAccession,primAccession0);
      strcpy(description,DEFLPOLYMERDESCRIPTION);
    }
  return self;
}

- (BOOL)isUnambiguous
{
  return [nlet isUnambiguous];
}

- (double)getInformationDensity
{
  return [nlet getInformationDensity];
}

@end
