/* Name: protein.m                                                           **
**                                                                           **
**                                                                           **
** Funktion: Implementation der Klasse Protein, die beschreibende            **
**           Information ueber Proteine enthaelt (Ableitung der Klasse       **
**           LinearPolymer)                                                  **
**                                                                           **
** Aufruf: -- (Linken mit anderen .o-Dateien moeglich)                       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 29.07.1995                                                      **
** Zuletzt bearbeitet: 03.05.1995                                            */

/* ------------------------------------------------------------------------- */


/* Include-Dateien                                                           */

#include "protein.h"

#include "protnlet.h"
#include "error.h"
#include "constant.h"

#include <stdlib.h>

/* Klasse: Protein                                                           */

@implementation Protein

- init:nlet0 source:(char*)source0 localID:(char*)localID0 primAccession:(char*)primAccession0
{
  self=[super init];
  source=(char*)realloc(source,strlen(source0)*sizeof(char));
  localID=(char*)realloc(localID,strlen(localID0)*sizeof(char));
  primAccession=(char*)realloc(primAccession,strlen(primAccession0)*sizeof(char));
  description=(char*)realloc(description,strlen(DEFLPOLYMERDESCRIPTION)*sizeof(char));
  if([nlet0 isKindOf:[ProteinNLet class]])
    nlet=[ProteinNLet new:[nlet0 getSequence]];
  else
    nlet=[ProteinNLet new:DEFNLETSEQUENCE];
  if(!source || !localID || !primAccession || !description)
    [ErrorHandler error:ERRMEMNOTENOUGH];
  else
    {
      strcpy(source,source0);
      strcpy(localID,localID0);
      strcpy(primAccession,primAccession0);
      strcpy(description,DEFLPOLYMERDESCRIPTION);
    }
  return self;
}

@end
